---
title: Requirements
sidebar_position: 7
---

# Requirements for a New Internet

![alt text](../img/requirements.png)

- Compute, Storage, Network need to be:
  - Local
  - Sovereign
  - Private
  - More Secure
- Storage needs to be:
  - More reliable with less overhead (only 20% overhead needed)
  - Capable to be global and be used as CDN (Content Delivery Network)
  - Fast enough for the use case at hand
  - Data can never get lost nor corrupted.
  - Storage can scale to zetabytes as easily as petabytes
- Network needs to be:
  - Working no matter what happens with existing network, route around issues.
  - Local sensitive (chose shortest path)
  - End-to-end encrypted
  - Capable to really know where information goes to or comes from (authenticity)
- The full system needs to be:
  - Autonomous & self Healing
  - It should be possible to operate without human Intervention
- Green
  - We believe the internet and cloud can be delivered using at least 10x less energy.

