---
title: Geo Aware Cloud 
sidebar_position: 3
---


## Capacity Generator

Zero OS can be conceived as a generator for compute, storage, network capacity.

### Compute Features

- ZKube
    - Kubernetes deployment
- Zero VM
    - The container or virtual machine running inside ZOS
- CoreX
    - Process manager (optional), can be used to get remote access to your zero_vm

A 3Node is a Zero-OS enabled computer which is hosted with any of the Cloud Providers.

### Storage Mechanisms

There are 4 storage mechanisms which can be used to store your data

- ZOS Filesystem
    - This is our dedupe unique filesystem, replaces docker images. 
- ZOS Mount
    - This is a mounted disk location on SSD, this can be used as faster storage location. 
- Quantum Safe Filesystem
    - This is a super unique storage system, data can never be lost or corrupted. Please be reminded that this storage layer is only meant to be used for secondary storage applications.
- ZOS Disk
    - A virtual disk technology, only for TFTech OEM partners.

### Network Connections

There are three ways how networks can be connected to a Z-Machine.

- Mycelium = Planetary network
    - This is a planetary scalable network
    - We have clients for Windows, OSx, Android and iPhone.
- ZOS NIC
    - Connection to a public IP address.
- WEB GW
    - Web gateway, a secure way to allow internet traffic reach your secure Z-Machine.