---
title: Mycelium
sidebar_position: 2
---


# Mycelium: Our Planetary Network

![](img/mycelium_overview.png)


The planetary network called Mycelium is an overlay network which lives on top of the existing Internet or other peer-to-peer networks created. 

In the Mycelium network, everyone is connected to everyone. End-to-end encryption between users of an app and the app runs behind the network wall.

## Mycelium: A New Network Layer for the Internet

### The Problem

The current centralized state of the internet poses significant security risks, with compromised routers and growing cyber threats (trillions of USD per year now), making everyone vulnerable to hacking. Industry responses involve disabling original features, hindering true peer-to-peer connectivity and personal server capabilities. Workarounds and system hacks have become the norm.

**Our Internet is seriously broken. We need new ways to communicate**

### Introducing Mycelium

Mycelium is an overlay network layer designed to enhance the existing internet infrastructure while remaining compatible with all current applications. It empowers true peer-to-peer communication. By installing a Network Agent on your device, you gain the ability to securely connect with any other participant on this network. Mycelium intelligently reroutes traffic to maintain connectivity taking location of you and your peer into consideration.

### The Benefits


- **Continuous connectivity:** Mycelium ensures uninterrupted connectivity by dynamically rerouting traffic through available connections (friends, satellites, 4/5G, fiber).
- **End-to-end encryption:** robust encryption stops man-in-the-middle attacks, guaranteeing secure communication.
- **Proof of authenticity (POA): ensures that we know who we are communicating with 
- **Optimized routing:** Mycelium finds the shortest path between network participants, reducing latency and keeping traffic localized.
- **Universal server capability:** empowers individuals to act as servers, a foundational element for any peer-to-peer system.
- **Full Compatibility:** Mycelium seamlessly integrates with the current internet, supporting any application.
- **Impressive speed:** achieves 1 Gbps per Network Agent, ensuring rapid data transfer.

### Status

In beta and usable from TFGrid 3.13, its our 3e generation approach to networking and took us years to do. We are looking forward to your feedback.

