---
title: 'AI Agent Roadmap'
sidebar_position: 4
hide_title: true
---


## AI Agent High Level Roadmap

Hero is our private AI agent.

The first version of our Hero enables the management of core services such as an innovative database backend, a sovereign decentralized git system, and the automatic integration and deployment of our workloads.

This stack allows everyone to deploy scalable Web 2,3 and 4 apps on top of the TFGrid in a fully automated way.


|                                  | Roadmap                                                                                                              | Timing |
| -------------------------------- | -------------------------------------------------------------------------------------------------------------------- | ------ |
| Hero Publisher                   | Publish websites, e-books, and more on top of the ThreeFold Grid                                                                      | Q2 25  |
| Hero CI = Continuous Integration | Easier to use Continuous Integration/Development, very powerfull, with multinode support                          | Q2 25  |
| Hero Play                        | Integrate declarative automation and configuration management as part of wiki approach in Hero Publisher             | Q2 25  |
| Hero Git                         | Alternative to centralized Github (based on Gitea), fully integrated on top of TFGrid                                | Q2 25  |
| Hero DB                          | Flexible ultra redundant database stor with indexing, queries, stored procesudes, super scalable replication         | Q2 25  |
| Hero OSIS                        | Object Storage and Index system integrates with Hero Git, all data on git based backend                              | Q2 25  |
| Hero WEB                         | Web framework (with co-routines) using Vlang, deployable globally on TFGrid, integrated with Mycelium Net and Names | Q2 25  |
| Hero Monitor                     | Monitor all your different components on redundant monitoring stack                                                  | Q2 25  |
| Hero Happs                       | Hero natively supports Holochain HAPPS                                                                               | Q3 25  |
| Hero Actors                      | Hero can serve actors which respond and act on OpenRPC calls ideal as backend for web or other apps               | Q3 25  |
| Hero Web 3 Gateway               | Hero aims to have native support for chosen Web3 partner solutions (Dfinity, Bitcoin, Ethereum, and more)                      | Q3 25  |

All of the specs above are fully integrated with the Mycelium network and the ThreeFold Grid.
