---
title: 'High Level Roadmap'
sidebar_position: 2
---


![](../img/roadmap.jpg)

# Roadmap in Phases

## Phase 1: Wave 1 of Companies, Leading to Our expertise (DONE)

- Technology creation
  - This was result of 20 years of evolution
- 7 startups acquired as part of this process
- Technology used globally by big vendors
- +600m USD in exits

## Phase 2: Proof of Tech (DONE)

- Open source technology launched globally
- +60,000,000 active vCPU
- Large scale proof of core technology
- Focus on early adoptors in tech space (Cloud, Web2, Web3, etc.)
- 50m USD funded by founders, community and farmers (people providing capacity)

## Phase 3: Commercialization & Global Expansion (START)

### Phase 3.1: Commercial Partners

- ThreeFold Launches with commercial strategic partners
  - Telco Operatators
  - IT Integrators
- Enterprise roadmap delivered within 6 months
  - This is mainly about integration, documentation and UI work
- Together with partners we deliver on the many projects which are in our funnel today, e.g., East Africa, Brazil

### Phase 3.2: Large Scale Financancing for Infrastructure

**Large Scaling Financing Round**

- Financing for infrastructure projects (trillions available right now for infrastructures in emerging countries)
- Public STO (security token offering)
  - This lets people around the world to co-own the infrastructure for their internet
- Large partnerships drive alternative to Tier 3 and 4 datacenters

