---
title: 'Compare'
sidebar_position: 30
description: The computer layer compared.
---


|                | Zos Compute Layer  Benefits                                                      | Default                                                          |
|----------------|--------------------------------------------------------------------------------|------------------------------------------------------------------|
| Management     | Full P2P, done by 3bot Agents, blockchain IT contract                          | Centralized e.g. Kubernetes, etc.                                 |
| OS Deploy      | Stateless, there are no files copied on local HDD/SSD.                         | Deploy image or execute installer on a physical server           |
| OS Upgrade     | Seamless, rolling upgrades, 100% modular and pre-deterministic, decentralized  | Difficult and error prone + vulnerable from security perspective |
| Tamperproof    | If file gets modified Zero-OS will not boot the file.                          | No, man in middle is possible.                                   |
| Scalability    | To the world                                                                   | Expensive and depending on lots of capital                       |
| Security       | A lot of effort went into the capability to deploy for high security usecases. | Very hard to deploy securely, and expensive                      |
| Green          | For certain workloads we can safe upto 10x on power usage                      | Super power hungry.                                              |
| Liquid Cooling | Easy to do because of autonomous behavior no need to replace HW.               | Hard to do, how to do maintenance.                               |
| Sovereign      | Yes                                                                            | Mostly not.                                                               |
| Complexity     | Anyone can do it, we made it to allow everyone to be a provider.               | Real experts needed.                                             |

> We do not compare our system with those that claim to be full cloud solutions but merely deploy containers using other management systems and optionally connect to a blockchain for billing purposes, nor do we compare our system with marketplace systems that simply act as frontends for other systems. We believe these systems, while visually impressive, lack substantial technological foundations and cannot serve as a fundamental base layer for others.

