---
title: Compare
sidebar_position: 20
---


|                             | ThreeFold Network Layer                                                           | Other Overlay Network Technologies (like VPN)                                                                               |
|-----------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------|
| Management                  | Full P2P, done by 3bot Agents, blockchain IT contract                             | Centralized leading to security issues                                                                                      |
| Locality                    | Find shortest path on latency and quality, this allows traffic to stay sovereign. | NO, based on centralized control mechanisms or inefficient algorithms that route traffic indiscriminately across the globe. |
| Encryption                  | End2End ecryption, unique for every relation, linked to private key               | Normally based on key exchange, or pre-shared keys.                                                                         |
| Post Quantum                | Possible (ask us)                                                                 | No                                                                                                                          |
| Scalability                 | Our aim is to be planetary scalable, but we need more exposure.                   | Bad                                                                                                                         |
| Compatibility               | We aim to support mobile, desktop, IOT, ...                                       | Depends, often not                                                                                                          |
| Backdoors                   | NO, all is based on opensource                                                    | Often, yes, unfortunately.                                                                                                  |
| Performance                 | Quite good, 1 gbit / sec can be achieved on std node (which is high for overlay)  | Often slow.                                                                                                                 |
| Security Model              | Whitelist model                                                                   | Blacklist model, list who is bad e.g. firewalls                                                                             |
| Fully integrated in compute | Yes                                                                               | Lots of different solutions                                                                                                 |


